Package javassist.bytecode.annotation

# Interface MemberValueVisitor

public interface MemberValueVisitor
Visitor for traversing member values included in an annotation.

Author:
  Bill Burke
See Also:
  - `MemberValue.accept(MemberValueVisitor)`

## Method Summary

Modifier and Type
Method
Description
`void`
`visitAnnotationMemberValue(AnnotationMemberValue node)`
`void`
`visitArrayMemberValue(ArrayMemberValue node)`
`void`
`visitBooleanMemberValue(BooleanMemberValue node)`
`void`
`visitByteMemberValue(ByteMemberValue node)`
`void`
`visitCharMemberValue(CharMemberValue node)`
`void`
`visitClassMemberValue(ClassMemberValue node)`
`void`
`visitDoubleMemberValue(DoubleMemberValue node)`
`void`
`visitEnumMemberValue(EnumMemberValue node)`
`void`
`visitFloatMemberValue(FloatMemberValue node)`
`void`
`visitIntegerMemberValue(IntegerMemberValue node)`
`void`
`visitLongMemberValue(LongMemberValue node)`
`void`
`visitShortMemberValue(ShortMemberValue node)`
`void`
`visitStringMemberValue(StringMemberValue node)`

## Method Details

### visitAnnotationMemberValue

void visitAnnotationMemberValue(AnnotationMemberValue node)

### visitArrayMemberValue

void visitArrayMemberValue(ArrayMemberValue node)

### visitBooleanMemberValue

void visitBooleanMemberValue(BooleanMemberValue node)

### visitByteMemberValue

void visitByteMemberValue(ByteMemberValue node)

### visitCharMemberValue

void visitCharMemberValue(CharMemberValue node)

### visitDoubleMemberValue

void visitDoubleMemberValue(DoubleMemberValue node)

### visitEnumMemberValue

void visitEnumMemberValue(EnumMemberValue node)

### visitFloatMemberValue

void visitFloatMemberValue(FloatMemberValue node)

### visitIntegerMemberValue

void visitIntegerMemberValue(IntegerMemberValue node)

### visitLongMemberValue

void visitLongMemberValue(LongMemberValue node)

### visitShortMemberValue

void visitShortMemberValue(ShortMemberValue node)

### visitStringMemberValue

void visitStringMemberValue(StringMemberValue node)

### visitClassMemberValue

void visitClassMemberValue(ClassMemberValue node)